Page MenuHomePhabricator

Special:Contact/licenseabuse on Meta triggers "No email address" for user with confirmed email address
Closed, InvalidPublic

Description

This form: https://meta.wikimedia.org/wiki/Special:Contact/licenseabuse has worked for me in the past. However, when I go to it now, I get an error:
"No email address
This user has not specified a valid email address."

However, I have a confirmed email address, and as I noted, it has worked in the past for me.

Event Timeline

Varnent created this task.Feb 25 2015, 2:28 PM
Varnent raised the priority of this task from to Needs Triage.
Varnent updated the task description. (Show Details)
Varnent added subscribers: Varnent, Slaporte.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2015, 2:28 PM
revi added a subscriber: revi.Feb 25 2015, 2:38 PM

Revi has confirmed via IRC that this bug is not unique to my account or computer.

It appears similar forms - like https://meta.wikimedia.org/wiki/Special:Contact/requestlicense - are functioning correctly.

Aklapper renamed this task from "No email address" for user with confirmed email address to Special:Contact/licenseabuse on Meta triggers "No email address" for user with confirmed email address.Mar 10 2015, 10:09 AM
Aklapper triaged this task as High priority.
Aklapper set Security to None.

@Philippe-WMF locked the global account https://meta.wikimedia.org/wiki/Special:CentralAuth/WMF_Trademark_Abuse so it's not possible to send emails to that account.

Glaisher added a comment.EditedApr 13 2015, 4:33 PM

(sending emails were recently disabled for locked accounts - T87559)

Philippe-WMF added a comment.EditedApr 15 2015, 8:58 PM

I just unlocked it. Can someone test to be sure it works, and then let's close this?


Philippe Beaudette
Director, Community Advocacy
Wikimedia Foundation, Inc.

415-839-6885, x 6643

philippe@wikimedia.org

Glaisher closed this task as Resolved.Apr 16 2015, 1:10 PM
Glaisher claimed this task.

It doesn't throw an error now.

Krenair changed the task status from Resolved to Invalid.Apr 16 2015, 1:11 PM

Considering this invalid, since the code seems to be working as intended, only action taken here was on-wiki.